%define upstream_name    App-PrereqGrapher
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generate dependency graph for perl source
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Devel::FindPerl)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Graph::Easy)
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(Module::Path)
BuildRequires: perl(Moo)
BuildRequires: perl(Perl::PrereqScanner)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
App::PrereqGrapher builds a directed graph of the prereqs or dependencies
for a file or module. It uses Perl::PrereqScanner to find the dependencies
for the seed, and then repeatedly calls Perl::PrereqScanner on those
dependencies, and so on, until all dependencies have been found.

It then saves the resulting graph to a file, using one of the five
supported formats. The default format is 'dot', the format used by the
GraphViz graph drawing toolkit.

If your code contains lines like:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/prereq-grapher
/usr/share/man/man1/prereq-grapher.1.xz



%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.140.0-2.mga6
+ Revision: 1022552
- Rebuild for perl 5.22.2

* Sat Mar 26 2016 guillomovitch <guillomovitch> 0.140.0-1.mga6
+ Revision: 995575
- new version 0.14

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 09 2015 guillomovitch <guillomovitch> 0.120.0-1.mga6
+ Revision: 908965
- new version 0.12

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 745883
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-2.mga5
+ Revision: 683521
- Mageia 5 Mass Rebuild

* Mon Mar 03 2014 guillomovitch <guillomovitch> 0.110.0-1.mga5
+ Revision: 598894
- new version 0.11

* Thu Jan 17 2013 guillomovitch <guillomovitch> 0.60.0-1.mga5
+ Revision: 389214
- imported package perl-App-PrereqGrapher


* Sun Dec 23 2012 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
